CEIL(3)

NAME
ceil, ceilf, floor, floorf - ceiling and floor

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
ceil(double x);
float
ceilf(float x);
double
floor(double x);
float
floorf(float x);

DESCRIPTION
The ceil() and ceilf() functions return the smallest integral value greater than or equal to x. Conversely, the floor() and floorf() functions return the largest integral value less than or equal to x.

SEE ALSO
abs(3), fabs(3), math(3), nextafter(3), rint(3)

STANDARDS
The described functions conform to isoC-99.

BUGS
The long double variants of the functions are not yet supported.